Have you downloaded the latest iTunes update? Well it may be no iTunes 11, but if you preordered an iPhone 5, planning to get any of the products Apple announced this past Wednesday, and/or moving to iOS 6, then you’re gonna need it. As you can see in the image below, the 10.7 update is needed in order to sync the devices. Take a look at the image below for the official word from Apple.

 

Advertisements